## org.eclipse.jst.jsf.facesconfig.emf.impl
Class PropertyTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.PropertyTypeImpl

All Implemented Interfaces:
  PropertyType

    public class PropertyTypeImpl

extends EObjectImpl
implements PropertyType

An implementation of the model object 'Property Type'.

The following features are implemented:

- `Description`
- `Display Name`
- `Icon`
- `Property Name`
- `Property Class`
- `Default Value`
- `Suggested Value`
- `Property Extension`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetDefaultValue(DefaultValueType newDefaultValue, NotificationChain msgs)`
`NotificationChain` `basicSetPropertyClass(PropertyClassType newPropertyClass, NotificationChain msgs)`
`NotificationChain` `basicSetPropertyName(PropertyNameType newPropertyName, NotificationChain msgs)`
`NotificationChain` `basicSetSuggestedValue(SuggestedValueType newSuggestedValue, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`DefaultValueType` `getDefaultValue()`
`EList` `getDescription()`
`EList` `getDisplayName()`
`EList` `getIcon()`
`java.lang.String` `getId()`
`PropertyClassType` `getPropertyClass()`
`EList` `getPropertyExtension()`
`PropertyNameType` `getPropertyName()`
`SuggestedValueType` `getSuggestedValue()`
`void` `setDefaultValue(DefaultValueType newDefaultValue)`
`void` `setId(java.lang.String newId)`
`void` `setPropertyClass(PropertyClassType newPropertyClass)`
`void` `setPropertyName(PropertyNameType newPropertyName)`
`void` `setSuggestedValue(SuggestedValueType newSuggestedValue)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    public EList getDescription()

  Specified by:
    `getDescription` in interface `PropertyType`
  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getPropertyType_Description()`

### getDisplayName

    public EList getDisplayName()

  Specified by:
    `getDisplayName` in interface `PropertyType`
  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getPropertyType_DisplayName()`

### getIcon

    public EList getIcon()

  Specified by:
    `getIcon` in interface `PropertyType`
  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getPropertyType_Icon()`

### getPropertyName

    public PropertyNameType getPropertyName()

  Specified by:
    `getPropertyName` in interface `PropertyType`
  Returns:
    the value of the 'Property Name' containment reference.
  See Also:
    `PropertyType.setPropertyName(PropertyNameType)`, `FacesConfigPackage.getPropertyType_PropertyName()`

### basicSetPropertyName

    public NotificationChain basicSetPropertyName(PropertyNameType newPropertyName,
                                                  NotificationChain msgs)

  Parameters:
    `newPropertyName` -
    `msgs` -
  Returns:
    the notification chain

### setPropertyName

    public void setPropertyName(PropertyNameType newPropertyName)

  Specified by:
    `setPropertyName` in interface `PropertyType`
  Parameters:
    `newPropertyName` - the new value of the 'Property Name' containment reference.
  See Also:
    `PropertyType.getPropertyName()`

### getPropertyClass

    public PropertyClassType getPropertyClass()

  Specified by:
    `getPropertyClass` in interface `PropertyType`
  Returns:
    the value of the 'Property Class' containment reference.
  See Also:
    `PropertyType.setPropertyClass(PropertyClassType)`, `FacesConfigPackage.getPropertyType_PropertyClass()`

### basicSetPropertyClass

    public NotificationChain basicSetPropertyClass(PropertyClassType newPropertyClass,
                                                   NotificationChain msgs)

  Parameters:
    `newPropertyClass` -
    `msgs` -
  Returns:
    the notification chain

### setPropertyClass

    public void setPropertyClass(PropertyClassType newPropertyClass)

  Specified by:
    `setPropertyClass` in interface `PropertyType`
  Parameters:
    `newPropertyClass` - the new value of the 'Property Class' containment reference.
  See Also:
    `PropertyType.getPropertyClass()`

### getDefaultValue

    public DefaultValueType getDefaultValue()

  Specified by:
    `getDefaultValue` in interface `PropertyType`
  Returns:
    the value of the 'Default Value' containment reference.
  See Also:
    `PropertyType.setDefaultValue(DefaultValueType)`, `FacesConfigPackage.getPropertyType_DefaultValue()`

### basicSetDefaultValue

    public NotificationChain basicSetDefaultValue(DefaultValueType newDefaultValue,
                                                  NotificationChain msgs)

  Parameters:
    `newDefaultValue` -
    `msgs` -
  Returns:
    the notification chain

### setDefaultValue

    public void setDefaultValue(DefaultValueType newDefaultValue)

  Specified by:
    `setDefaultValue` in interface `PropertyType`
  Parameters:
    `newDefaultValue` - the new value of the 'Default Value' containment reference.
  See Also:
    `PropertyType.getDefaultValue()`

### getSuggestedValue

    public SuggestedValueType getSuggestedValue()

  Specified by:
    `getSuggestedValue` in interface `PropertyType`
  Returns:
    the value of the 'Suggested Value' containment reference.
  See Also:
    `PropertyType.setSuggestedValue(SuggestedValueType)`, `FacesConfigPackage.getPropertyType_SuggestedValue()`

### basicSetSuggestedValue

    public NotificationChain basicSetSuggestedValue(SuggestedValueType newSuggestedValue,
                                                    NotificationChain msgs)

  Parameters:
    `newSuggestedValue` -
    `msgs` -
  Returns:
    the notification chain

### setSuggestedValue

    public void setSuggestedValue(SuggestedValueType newSuggestedValue)

  Specified by:
    `setSuggestedValue` in interface `PropertyType`
  Parameters:
    `newSuggestedValue` - the new value of the 'Suggested Value' containment reference.
  See Also:
    `PropertyType.getSuggestedValue()`

### getPropertyExtension

    public EList getPropertyExtension()

  Specified by:
    `getPropertyExtension` in interface `PropertyType`
  Returns:
    the value of the 'Property Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getPropertyType_PropertyExtension()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `PropertyType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `PropertyType.setId(String)`, `FacesConfigPackage.getPropertyType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `PropertyType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `PropertyType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()